Bug 143399 - FILEOPEN DOCX Writer 7.2 doesn't import Word endnotes
Summary: FILEOPEN DOCX Writer 7.2 doesn't import Word endnotes
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.1 rc
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Footnote-Endnote
  Show dependency treegraph
 
Reported: 2021-07-16 06:35 UTC by Frank Reibold
Modified: 2021-09-14 15:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The Word document (14.69 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-07-16 06:36 UTC, Frank Reibold
Details
The result with Word 2016 (384.29 KB, application/pdf)
2021-07-16 06:36 UTC, Frank Reibold
Details
The Writer result (29.34 KB, application/pdf)
2021-07-16 06:37 UTC, Frank Reibold
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Reibold 2021-07-16 06:35:05 UTC
Description:
As always, I tried to import my test Word document (.docx) into LibreOffice Writer. That worked with Writer 7.0 and 7.1 but Writer 7.2 doesn't import the body text of the endnote. At the end of the document, you see the endnote number (i) only but not the accompanying text.

Steps to Reproduce:
1.Create a Word document (.docx) with one footnote and one endnote (I used Word 2016). The endnote might read "An endnote".
2.Open the file with LibreOffice Writer.
3.Compare the result with Word.

Actual Results:
The text of the endnote is missing. You only see this:

i

Expected Results:
The expected result is this:

i An endnote


Reproducible: Always


User Profile Reset: No



Additional Info:
I aLways use this file to test Word import. The endnote is missing in Writer 7.2, too.

https://calibre-ebook.com/downloads/demos/demo.docx
Comment 1 Frank Reibold 2021-07-16 06:36:14 UTC
Created attachment 173619 [details]
The Word document
Comment 2 Frank Reibold 2021-07-16 06:36:57 UTC
Created attachment 173620 [details]
The result with Word 2016
Comment 3 Frank Reibold 2021-07-16 06:37:39 UTC
Created attachment 173621 [details]
The Writer result
Comment 4 NISZ LibreOffice Team 2021-07-16 07:12:42 UTC
Confirming with

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 717dc8e3575a18e1e18dc446031e6db4e60a873d
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Not yet in

Version: 7.1.0.3 (x64) / LibreOffice Community
Build ID: f6099ecf3d29644b5008cc8f48f42f4a40986e4c
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded
Comment 5 Timur 2021-07-16 07:14:25 UTC Comment hidden (obsolete)
Comment 6 Timur 2021-07-16 07:25:14 UTC
7.2 Linux:
commit 794d0f293ce4b2d6a258395868383eaaa30953da
    source sha:7dd8f8aace536a8e60e87e61ee1d90d61fba15eb
    previous sha:63d14566ba93b87f23a7ba68f8ea733cf19be101
author	László Németh <nemeth@numbertext.org>	2021-02-17 09:47:43 +0100
Regression from bug 120351, like bug 141548.
CC László , please see.
Comment 7 Commit Notification 2021-07-20 11:52:42 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/732b08b22eee2682351a9295be29188852fb0489

tdf#143399 DOCX import: fix lost endnotes or footnotes

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-07-20 13:59:55 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/f78a21df119603cd6db03f8544871c7a41f16864

tdf#143399 DOCX import: fix lost endnotes or footnotes

It will be available in 7.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Timur 2021-07-21 11:12:40 UTC
Text is there, thanks for reporting and fixing.
Comment 10 László Németh 2021-07-21 11:24:36 UTC
(In reply to Timur from comment #9)
> Text is there, thanks for reporting and fixing.

@Timue: thanks for bibisecting, CCing and verifying.
Comment 11 László Németh 2021-07-21 11:25:28 UTC
(In reply to Timur from comment #9)
> Text is there, thanks for reporting and fixing.

@Timur: thanks for bibisecting, CCing and verifying.